package domain


type AlibabaWdkOrderGetResult struct {
    /*
        订单列表     */
    Orders  *[]AlibabaWdkOrderGetOrder `json:"orders,omitempty" `

    /*
        returnCode     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        returnMsg     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        返回本查询条件下的数据总数     */
    TotalNumber  *int64 `json:"total_number,omitempty" `

}

func (s *AlibabaWdkOrderGetResult) SetOrders(v []AlibabaWdkOrderGetOrder) *AlibabaWdkOrderGetResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkOrderGetResult) SetReturnCode(v string) *AlibabaWdkOrderGetResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkOrderGetResult) SetReturnMsg(v string) *AlibabaWdkOrderGetResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkOrderGetResult) SetTotalNumber(v int64) *AlibabaWdkOrderGetResult {
    s.TotalNumber = &v
    return s
}
